package com.example.wenhua.controller;

import com.example.wenhua.common.ResponseBean;
import lombok.AllArgsConstructor;
import me.chanjar.weixin.common.bean.WxJsapiSignature;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.mp.api.WxMpService;
import org.springframework.web.bind.annotation.*;


/**
 * jsapi 演示接口的 controller.
 *
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 * @date 2020-04-25
 */
@AllArgsConstructor
@RestController
@RequestMapping("/wx")
public class WxJsapiController {
    private final WxMpService wxService;

    @GetMapping("/jsapi")
    public ResponseBean getJsapiTicket(@RequestParam String url) throws WxErrorException {
        final WxJsapiSignature jsapiSignature = this.wxService.createJsapiSignature(url);
        System.out.println(jsapiSignature);
        return ResponseBean.success(jsapiSignature);
    }
}
